> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getoutbox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Connect Email Provider

> Connect an Amazon SES provider for the authenticated company. The `provider` field is forced to `ses`.



## OpenAPI

````yaml POST /email/providers/
openapi: 3.1.0
info:
  title: Outbox AI API
  description: API for managing AI agents (chatbots and voicebots) on the Outbox platform
  version: 1.0.0
servers:
  - url: https://api.getoutbox.ai
security: []
paths:
  /email/providers/:
    post:
      tags:
        - email
      summary: Create Email Provider Connection
      description: >-
        Connect an Amazon SES provider for the authenticated company. The
        `provider` field is forced to `ses`.
      operationId: email_providers_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EmailProviderConnectionRequest'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/EmailProviderConnectionRequest'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/EmailProviderConnectionRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmailProviderConnection'
          description: ''
        '400':
          description: Provider was set to something other than `ses`.
      security:
        - jwtAuth: []
        - {}
components:
  schemas:
    EmailProviderConnectionRequest:
      type: object
      properties:
        provider:
          $ref: '#/components/schemas/EmailProviderConnectionProviderEnum'
        name:
          type: string
          maxLength: 128
        status:
          $ref: '#/components/schemas/EmailProviderConnectionStatusEnum'
        auth_config: {}
        metadata: {}
        test_result: {}
        last_verified_at:
          type: string
          format: date-time
          nullable: true
        is_deleted:
          type: boolean
        created_at:
          type: string
          format: date-time
        company:
          type: string
          format: uuid
      required:
        - company
        - name
        - provider
    EmailProviderConnection:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        provider:
          $ref: '#/components/schemas/EmailProviderConnectionProviderEnum'
        name:
          type: string
          maxLength: 128
        status:
          $ref: '#/components/schemas/EmailProviderConnectionStatusEnum'
        auth_config: {}
        metadata: {}
        test_result: {}
        last_verified_at:
          type: string
          format: date-time
          nullable: true
        is_deleted:
          type: boolean
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
          readOnly: true
        company:
          type: string
          format: uuid
      required:
        - company
        - id
        - name
        - provider
        - updated_at
    EmailProviderConnectionProviderEnum:
      enum:
        - sendgrid
        - resend
        - ses
      type: string
      description: |-
        * `sendgrid` - SendGrid
        * `resend` - Resend
        * `ses` - Amazon SES
    EmailProviderConnectionStatusEnum:
      enum:
        - pending
        - active
        - error
        - disconnected
      type: string
      description: |-
        * `pending` - Pending
        * `active` - Active
        * `error` - Error
        * `disconnected` - Disconnected
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````